For the complete documentation index, see llms.txt. This page is also available as Markdown.

StockInfo

StockInfo

Get stock list for a list of products and locations

post
/tenants/{tenantUid}/products/stock

Get product stock for one or several products. The result can be limited to only specific stores and warehouses.

Usage:

productUids OR productSkus is required. An error is returned if both fields are present in request.

storeUids OR warehouseUids is required. An error is returned if both fields are present in request.

Returns stock records for all warehouses in request or all warehouses for all stores in request.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

Body
productUidsstring[] · min: 1Optional
productSkusstring[] · min: 1Optional
storeUidsstring[] · min: 1Optional
warehouseUidsstring[] · min: 1Optional
Responses
200Success
application/json
post/tenants/{tenantUid}/products/stock
POST /v2/tenants/{tenantUid}/products/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 93

{
  "productUids": [
    "text"
  ],
  "productSkus": [
    "text"
  ],
  "storeUids": [
    "text"
  ],
  "warehouseUids": [
    "text"
  ]
}
200Success
{
  "items": [
    {
      "productUid": "text",
      "productName": "text",
      "productSku": "text",
      "totalQuantityReserved": 1,
      "totalQuantityStock": 1,
      "warehouseStockDetails": [
        {
          "locationLabel": "text",
          "maxStockLevel": 1,
          "minStockLevel": 1,
          "quantityReserved": 1,
          "quantityStock": 1,
          "storeUid": "text",
          "storeName": "text",
          "warehouseUid": "text",
          "warehouseName": "text"
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Get all stock records for a store after a modification timestamp.

post
/tenants/{tenantUid}/stores/{storeUid}/stock

Get stock records for a store.

If no warehouseUids in request, the response contains stock records for all warehouses the storeUid in url has VIEW access to.

Else, the storeUid in url MUST have VIEW access all warehosueUids in request.

Returns stock records for all warehouses a store has VIEW asscess to.

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

Body
modifiedAfterstring · date-timeRequired
warehouseUidsstring[]Optional
Responses
200Success
application/json
post/tenants/{tenantUid}/stores/{storeUid}/stock
POST /v2/tenants/{tenantUid}/stores/{storeUid}/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "modifiedAfter": "2026-01-01T00:00:00.000Z",
  "warehouseUids": [
    "text"
  ]
}
200Success
{
  "items": [
    {
      "productUid": "text",
      "productName": "text",
      "productSku": "text",
      "totalQuantityReserved": 1,
      "totalQuantityStock": 1,
      "warehouseStockDetails": [
        {
          "locationLabel": "text",
          "maxStockLevel": 1,
          "minStockLevel": 1,
          "quantityReserved": 1,
          "quantityStock": 1,
          "storeUid": "text",
          "storeName": "text",
          "warehouseUid": "text",
          "warehouseName": "text"
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Search product for a store with stockInfo

post
/tenants/{tenantUid}/stores/{storeUid}/products/search

Searches for products based on criteria set in the request body.

Returns a response with the stores price and stock availablitity.

If productGroupUid is set, productGroupScopes is omitted.

StoreProductDetails contains accumulated values for all warehouses the store owns and has VIEW access to.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body
brandUidsstring[]Optional
exactMatchbooleanOptional
querystringOptional
productGroupUidsstring[]Optional

A list of product group UIDs that you want to include in the search

supplierUidstringOptionalPattern: ^[A-Za-z0-9-_]+
productUidsstring[]Optional

A list of product UIDs to search for

hideVariantsbooleanOptional
includeDiscontinuedbooleanOptional
warehouseUidsstring[]Optional

Only included specific warehouses in the result

onlyInStockbooleanOptional

If true, returns only products with stocklevel > 0

hideNotAllowPurchasebooleanOptional

when true, only show products with allowPurchase = true

hasSoaAmountsbooleanOptional

optionally filter on products that have or do not have SOA amounts

Responses
200

Product Store Search Response

application/json
post/tenants/{tenantUid}/stores/{storeUid}/products/search
POST /v2/tenants/{tenantUid}/stores/{storeUid}/products/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 354

{
  "brandUids": [
    "text"
  ],
  "exactMatch": true,
  "query": "text",
  "productGroupUids": [
    "text"
  ],
  "productGroupScopes": [
    "SALE"
  ],
  "supplierUid": "text",
  "productUids": [
    "text"
  ],
  "hideVariants": true,
  "includeDiscontinued": true,
  "visibility": [
    "ALWAYS_VISIBLE"
  ],
  "productTypes": [
    "STOCK"
  ],
  "warehouseUids": [
    "text"
  ],
  "onlyInStock": true,
  "hideNotAllowPurchase": true,
  "hasSoaAmounts": true
}
200

Product Store Search Response

{
  "items": [
    {
      "storeProductDetails": {
        "grossProfitAmount": 1,
        "grossProfitPercentage": 1,
        "costPrice": 1,
        "price": 1,
        "campaignPrice": 1,
        "campaignName": "text",
        "quantityReserved": 1,
        "quantityStock": 1,
        "quantityOrdered": 1,
        "warehouseStockDetails": [
          {
            "grossProfitAmount": 1,
            "grossProfitPercentage": 1,
            "costPrice": 1,
            "quantityReserved": 1,
            "quantityStock": 1,
            "locationLabel": "text",
            "storeUid": "text",
            "storeName": "text",
            "warehouseUid": "text",
            "warehouseName": "text"
          }
        ],
        "soaAmounts": [
          {
            "soaUid": "text",
            "soaName": "text",
            "amount": 1,
            "fromDateTime": "2026-01-01T00:00:00.000Z",
            "toDateTime": "2026-01-01T00:00:00.000Z",
            "soaAmountUid": "text"
          }
        ]
      },
      "allowAddon": true,
      "allowCredit": true,
      "allowNegativePrice": true,
      "allowPurchase": true,
      "allowQuantity": true,
      "allowSale": "YES",
      "allowSaleDate": "2026-01-01T00:00:00.000Z",
      "allowDelivery": "YES",
      "allowDeliveryDate": "2026-01-01T00:00:00.000Z",
      "allowOrderSpecificCost": true,
      "allowOrderSpecificName": true,
      "allowDiscount": true,
      "availableForWeb": true,
      "brandUid": "text",
      "brandName": "text",
      "calculationFactor": 1,
      "categoryUids": [
        "text"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "customerAgeRestriction": 1,
      "description": "text",
      "discontinuedFrom": "2026-01-01T00:00:00.000Z",
      "externalId": "text",
      "externalInfo": "text",
      "externalUrl": "text",
      "gtins": [
        {
          "gtin": "text",
          "primary": true,
          "type": "text"
        }
      ],
      "height": 1,
      "internalInfo": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "length": 1,
      "name": "text",
      "optionProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "priceOverride": true,
      "productGroupUid": "text",
      "productGroupPath": [
        {
          "name": "text",
          "parentUid": "text",
          "productGroupUid": "text"
        }
      ],
      "productUid": "text",
      "productType": "STOCK",
      "recommendedRetailPrice": 1,
      "requiredVariantPropertyUids": [
        "text"
      ],
      "serialNoRequired": "NO",
      "sellOnlyAsAddon": true,
      "shortDescription": "text",
      "sku": "text",
      "manufacturerSku": "text",
      "suppliers": [
        {
          "name": "text",
          "supplierUid": "text",
          "supplierProductUid": "text",
          "purchasePrice": 1,
          "currency": "text",
          "supplierSku": "text"
        }
      ],
      "textProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "unitLabel": "text",
      "variantProductUids": [
        "text"
      ],
      "variantParentProductUid": "text",
      "vatCodeUid": "text",
      "weight": 1,
      "width": 1,
      "links": [
        {
          "productLinkUid": "text",
          "linkType": "INSURANCE",
          "productUid": "text"
        }
      ],
      "parents": [
        {
          "productLinkUid": "text",
          "linkType": "INSURANCE",
          "productUid": "text"
        }
      ],
      "requirements": {
        "requireCustomer": true,
        "requireCustomerMobile": true,
        "requireCustomerEmail": true,
        "requireCustomerDeliveryAddress": true,
        "orderItemReference": "text"
      },
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "imageCount": 1,
      "relevance": 1,
      "visibility": "ALWAYS_VISIBLE",
      "commission": 1,
      "productWarrantyUid": "text",
      "excludeFromStatistics": true,
      "purchasePrice": 1,
      "numberOfPieces": 1,
      "limitToStoreUids": [
        "text"
      ],
      "tradeUnit": 1
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Store product details with stockInfo

get
/tenants/{tenantUid}/stores/{storeUid}/products/{productUid}

Get store specific information about a product.

StoreProductDetails contains accumulated values for all warehouses the store owns and has VIEW access to.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Store Product Response

application/json
allowAddonbooleanRequired

This product has addons

allowCreditbooleanRequired

The product is allowed to credit

allowNegativePricebooleanRequired

There can be set a negative price

allowPurchasebooleanRequired

The product is allowed to be purchased from a supplier

allowQuantitybooleanRequired

It is allowed to change quantity

allowSalestring · enumRequired
ENUMDescription
YESAllow the product to be sold
NODo not allow the product to be sold
NOT_BEFORE_DATEDo not allow the product to be sold before a specified date
Possible values:
allowSaleDatestring · date-timeRequired
allowDeliverystring · enumRequired
ENUMDescription
YESAllow the product to be delivered
NODo not allow the product to be delivered
NOT_BEFORE_DATEDo not allow the product to be delivered before a specified date
Possible values:
allowDeliveryDatestring · date-timeRequired
allowOrderSpecificCostbooleanRequired

Allow to set costPrice on product when adding or updating the product to an order

allowOrderSpecificNamebooleanRequired

Allow to set name on product when adding or updating the product to an order

allowDiscountbooleanRequired

Allow to add discount to this product.

availableForWebbooleanRequired

The product is available for web sale

brandUidstringRequiredPattern: ^[A-Za-z0-9-_]+
brandNamestringRequired
calculationFactorintegerRequired
categoryUidsstring[]Required
createdAtstring · date-timeRequired
customerAgeRestrictionintegerRequired

Age restriction for the customer. 0 = no restriction

descriptionstringRequired
discontinuedFromstring · date-time · nullableRequired
externalIdstringRequired
externalInfostringRequired
externalUrlstringRequired
heightintegerRequired
internalInfostringRequired
lastModifiedAtstring · date-timeRequired
ledgerNumberstringRequired

Ledger number must be a valid number with possible leading zeros

lengthintegerRequired
namestringRequired
priceOverridebooleanRequired

Allow to override the price without setting a discount.

productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productTypestring · enum · min: 1Required
ENUMDescription
STOCKPrice*quantity
NO_STOCKNo quantity
CONFIGURABLEMaster configurable product
FLOWGIFTCARDFlow Giftcard product
PAYEX_GIFTCARDPayex Giftcard product
NON_PHYSICALNon physical product
PACKAGE_FIXEDPackaged product with fixed content
PACKAGE_DYNAMICPackaged product with dynamic content
Possible values:
recommendedRetailPriceintegerRequired
requiredVariantPropertyUidsstring[]Required

A list of propertyUids that are required for each variant of this product.

serialNoRequiredstring · enumRequired
ENUMDescription
NONo Serial number required
ON_SALECan register serial number when selling a product (Serial number is optional)
ON_RECEIVEMust register serial number when receiving and selling product (Serial number is required)
Possible values:
sellOnlyAsAddonbooleanRequired

Can only be sold as an addon product

shortDescriptionstringRequired
skustringRequired
manufacturerSkustringRequired
unitLabelstringRequired
variantProductUidsstring[]Required
variantParentProductUidstringRequiredPattern: ^[A-Za-z0-9-_]+
variantsstring[]RequiredDeprecated

A list of productUids that make up variants of this product.

vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
weightintegerRequired
widthintegerRequired
imageCountintegerRequired
relevancenumberRequired
visibilitystring · enumRequiredPossible values:
commissionintegerRequired

A commission to be paid to the supplier after delivery.

productWarrantyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
excludeFromStatisticsbooleanRequired
purchasePriceintegerRequired
numberOfPiecesintegerRequired

Indicates how many packages/parts the product consists of.

limitToStoreUidsstring[]Required

Limit the product to be used for a list of storeUids.

tradeUnitintegerRequired
get/tenants/{tenantUid}/stores/{storeUid}/products/{productUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/products/{productUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Store Product Response

{
  "storeProductDetails": {
    "grossProfitAmount": 1,
    "grossProfitPercentage": 1,
    "costPrice": 1,
    "price": 1,
    "campaignPrice": 1,
    "campaignName": "text",
    "quantityReserved": 1,
    "quantityStock": 1,
    "quantityOrdered": 1,
    "warehouseStockDetails": [
      {
        "grossProfitAmount": 1,
        "grossProfitPercentage": 1,
        "costPrice": 1,
        "quantityReserved": 1,
        "quantityStock": 1,
        "locationLabel": "text",
        "storeUid": "text",
        "storeName": "text",
        "warehouseUid": "text",
        "warehouseName": "text"
      }
    ],
    "soaAmounts": [
      {
        "soaUid": "text",
        "soaName": "text",
        "amount": 1,
        "fromDateTime": "2026-01-01T00:00:00.000Z",
        "toDateTime": "2026-01-01T00:00:00.000Z",
        "soaAmountUid": "text"
      }
    ]
  },
  "allowAddon": true,
  "allowCredit": true,
  "allowNegativePrice": true,
  "allowPurchase": true,
  "allowQuantity": true,
  "allowSale": "YES",
  "allowSaleDate": "2026-01-01T00:00:00.000Z",
  "allowDelivery": "YES",
  "allowDeliveryDate": "2026-01-01T00:00:00.000Z",
  "allowOrderSpecificCost": true,
  "allowOrderSpecificName": true,
  "allowDiscount": true,
  "availableForWeb": true,
  "brandUid": "text",
  "brandName": "text",
  "calculationFactor": 1,
  "categoryUids": [
    "text"
  ],
  "createdAt": "2026-01-01T00:00:00.000Z",
  "customerAgeRestriction": 1,
  "description": "text",
  "discontinuedFrom": "2026-01-01T00:00:00.000Z",
  "externalId": "text",
  "externalInfo": "text",
  "externalUrl": "text",
  "gtins": [
    {
      "gtin": "text",
      "primary": true,
      "type": "text"
    }
  ],
  "height": 1,
  "internalInfo": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "ledgerNumber": "text",
  "length": 1,
  "name": "text",
  "optionProperties": [
    {
      "productPropertyUid": "text",
      "propertyName": "text",
      "propertyOptionName": "text",
      "propertyType": "TEXT",
      "propertyText": "text",
      "propertyUid": "text",
      "propertyOptionUid": "text",
      "required": true
    }
  ],
  "priceOverride": true,
  "productGroupUid": "text",
  "productGroupPath": [
    {
      "name": "text",
      "parentUid": "text",
      "productGroupUid": "text"
    }
  ],
  "productUid": "text",
  "productType": "STOCK",
  "recommendedRetailPrice": 1,
  "requiredVariantPropertyUids": [
    "text"
  ],
  "serialNoRequired": "NO",
  "sellOnlyAsAddon": true,
  "shortDescription": "text",
  "sku": "text",
  "manufacturerSku": "text",
  "suppliers": [
    {
      "name": "text",
      "supplierUid": "text",
      "supplierProductUid": "text",
      "purchasePrice": 1,
      "currency": "text",
      "supplierSku": "text"
    }
  ],
  "textProperties": [
    {
      "productPropertyUid": "text",
      "propertyName": "text",
      "propertyOptionName": "text",
      "propertyType": "TEXT",
      "propertyText": "text",
      "propertyUid": "text",
      "propertyOptionUid": "text",
      "required": true
    }
  ],
  "unitLabel": "text",
  "variantProductUids": [
    "text"
  ],
  "variantParentProductUid": "text",
  "vatCodeUid": "text",
  "weight": 1,
  "width": 1,
  "links": [
    {
      "productLinkUid": "text",
      "linkType": "INSURANCE",
      "productUid": "text"
    }
  ],
  "parents": [
    {
      "productLinkUid": "text",
      "linkType": "INSURANCE",
      "productUid": "text"
    }
  ],
  "requirements": {
    "requireCustomer": true,
    "requireCustomerMobile": true,
    "requireCustomerEmail": true,
    "requireCustomerDeliveryAddress": true,
    "orderItemReference": "text"
  },
  "coverImage": {
    "productMediaUid": "text",
    "mainUrl": "text",
    "thumbnailUrl": "text"
  },
  "imageCount": 1,
  "relevance": 1,
  "visibility": "ALWAYS_VISIBLE",
  "commission": 1,
  "productWarrantyUid": "text",
  "excludeFromStatistics": true,
  "purchasePrice": 1,
  "numberOfPieces": 1,
  "limitToStoreUids": [
    "text"
  ],
  "tradeUnit": 1
}

List available stock for a store

get
/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid}

Lists warehouses with available stock that the specified store has access to.

The list will only contain warehouses that the store has "VIEW" access to.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
warehouseUidstringOptional

Filter by warehouse uid

Responses
200

Example response

string · binaryOptional
get/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

binary

List stock

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock

Lists all stock on a warehouse. Use the Accept header to choose the response format

Available formats: json, PDF and spreadsheet (excel file).

Required permissions: WAREHOUSE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
productGroupUidsstring[]Optional

Reference to a list of productGroup Ids.

brandUidsstring[]Optional

Reference to a list of brand Ids.

Responses
200

Example response

string · binaryOptional
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

binary

Get stock for product in specified warehouse

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}

Returns stock for a particular product in the specified warehouse.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
averageCostintegerRequired
locationLabelstringRequired
maxStockLevelintegerRequired
minStockLevelintegerRequired
priceintegerRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productNamestringRequired
productSkustringRequired
quantityReservedintegerRequired
quantityStockintegerRequired
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
warehouseNamestringRequired
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "averageCost": 1,
  "locationLabel": "text",
  "maxStockLevel": 1,
  "minStockLevel": 1,
  "price": 1,
  "productUid": "text",
  "productName": "text",
  "productSku": "text",
  "quantityReserved": 1,
  "quantityStock": 1,
  "warehouseUid": "text",
  "warehouseName": "text",
  "storeUid": "text",
  "storeName": "text"
}

Last updated